"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

/**
 * Name of actions that can trigger routing
 *
 * @enum {string}
 * @type {Object<string, string>}
 */
const ActionTypes = Object.freeze({
  /**
   * @const
   * @type {string}
   */
  REDIRECT: 'redirect',

  /**
   * @const
   * @type {string}
   */
  CLICK: 'click',

  /**
   * @const
   * @type {string}
   */
  POP_STATE: 'popstate',

  /**
   * @const
   * @type {string}
   */
  ERROR: 'error'
});
exports.default = ActionTypes;

typeof $IMA !== 'undefined' && $IMA !== null && $IMA.Loader && $IMA.Loader.register('ima/router/ActionTypes', [], function (_export, _context) {
 'use strict';
 return {
   setters: [],
   execute: function () {
     _export('default', exports.default);
   }
 };
});
